# Cliente modificado

El evento se dispara cada vez que se modifica un cliente, ya sea de forma manual, por medio del importador masivo o desde la app de Android.

{% hint style="info" %}
El evento no se dispara si el Cliente es modificado desde el endpoint correspondiente del a API
{% endhint %}

De estar configurado el [webhook](/como-usar-la-api/nueva-entrega.md), se dispara el evento **client.updated**

### Datos enviados en el evento

Los datos son enviados mediante una consulta HTTP POST, en donde el body contiene el siguiente texto en formato JSON.

```json
{
   "eventType":"client.updated",
   "payload":{
      "uid_client":"CLA-99832",
      "company_name":"Ferreteria Fernandez s.r.l.",
      "company_description":"Ferreteria industrial",
      "type_id": 2,
      "group_id": 3,
      "latitude":-34.72792860726617,
      "longitude":-58.47013950347901,
      "service_time": 20,          // Opcional
      "wt": [480, 780],            // Opcional
      "street":"Arana Goiri",
      "street_nbr":"4295",
      "neighborhood":"Lomas de Zamora",
      "city":"Provincia de Buenos Aires",
      "country":"Argentina",
      "last_updated": "2021-09-09T14:30:05.000Z",
      "custom_fields":{
         "1":{
            "name":"Notas",
            "value":""
         },
         "2":{
            "name":"Telefono",
            "value":"4504-2323"
         },         
         "10":{
            "name":"Mail de notificación",
            "value":"pedro@empresa.com"
         },
         "11":{
            "name":"Numero de CSID",
            "value":""
         },
         "13":{
            "name":"Nombre del Contacto",
            "value":"Pedro Lopez"
         }
      }
   }
}
```

Algunos puntos a tener en cuenta son:

**eventType:** Tipo de evento. Para el caso de cliente modificado, siempre será "**client.updated**"

Los datos recibidos son los mismos que en [Evento de Cliente creado](/entidades-basicas/clientes/eventos-webhooks/evento-de-cliente-creado.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.persat.com.ar/entidades-basicas/clientes/eventos-webhooks/evento-de-cliente-modificado.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
